Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.dns.zones.list()
page = page.zones[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.DNS.Zones.List(context.TODO(), dns.ZoneListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/dns/v2/zones \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/dns/v2/zones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/dns/v2/zones")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/dns/v2/zones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_amount": 123,
"zones": [
{
"client_id": 123,
"contact": "<string>",
"dnssec_enabled": true,
"dnssec_status": "<string>",
"dnssec_status_modified_on": "<string>",
"enabled": true,
"expiry": 123,
"id": 123,
"meta": {},
"name": "<string>",
"nx_ttl": 123,
"primary_server": "<string>",
"records": [
{
"name": "<string>",
"short_answers": [
"<string>"
],
"ttl": 123,
"type": "<string>"
}
],
"refresh": 123,
"retry": 123,
"rrsets_amount": {
"dynamic": {
"healthcheck": 123,
"total": 123
},
"static": 123,
"total": 123
},
"serial": 123,
"status": "<string>"
}
]
}This response has no body data.Zones
List of Zones
Show created zones with pagination managed by limit and offset params. All query params are optional.
GET
/
dns
/
v2
/
zones
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.dns.zones.list()
page = page.zones[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.DNS.Zones.List(context.TODO(), dns.ZoneListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/dns/v2/zones \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/dns/v2/zones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/dns/v2/zones")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/dns/v2/zones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"total_amount": 123,
"zones": [
{
"client_id": 123,
"contact": "<string>",
"dnssec_enabled": true,
"dnssec_status": "<string>",
"dnssec_status_modified_on": "<string>",
"enabled": true,
"expiry": 123,
"id": 123,
"meta": {},
"name": "<string>",
"nx_ttl": 123,
"primary_server": "<string>",
"records": [
{
"name": "<string>",
"short_answers": [
"<string>"
],
"ttl": 123,
"type": "<string>"
}
],
"refresh": 123,
"retry": 123,
"rrsets_amount": {
"dynamic": {
"healthcheck": 123,
"total": 123
},
"static": 123,
"total": 123
},
"serial": 123,
"status": "<string>"
}
]
}This response has no body data.Authorizations
Query Parameters
Was this page helpful?